
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户扩展信息VO
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
public class UserExtensionVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userExtensionId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户等级")
    private Integer level;

    @Schema(description = "等级条件 0 普通会员 1 付费会员")
    private Integer levelType;

    @Schema(description = "用户当前成长值")
    private Integer growth;

    @Schema(description = "用户积分")
    private Long score;

    @Schema(description = "用户总余额")
    private Long balance;

    @Schema(description = "用户实际余额")
    private Long actualBalance;

    @Schema(description = "用户通联累计余额")
    private Long allinpayBalance;

    @Schema(description = "用户通联实际余额")
    private Long allinpayActualBalance;

    @Schema(description = "通联会员创建(0:否 1:是)")
    private Integer allinpayCreate;

    @Schema(description = "通联是否实名认证(0:否 1:是)")
    private Integer allinpayRealNameSet;

    @Schema(description = "通联是否绑定手机号(0:否 1:是)")
    private Integer allinpayPhoneBind;

    @Schema(description = "通联是否设置支付密码(0:否 1:是)")
    private Integer allinpayPayPwdSet;

    @Schema(description = "通联是否签订提现协议(0:否 1:是)")
    private Integer allinpayProtocolSign;

    @Schema(description = "通联是否绑定支付标识(0:否 1:是)")
    private Integer allinpayPayAcctBind;

    @Schema(description = "乐观锁")
    private Integer version;

    @Schema(description = "连续签到天数")
    private Integer signDay;

    public Integer getSignDay() {
        return signDay;
    }

    public void setSignDay(Integer signDay) {
        this.signDay = signDay;
    }

    public Long getUserExtensionId() {
        return userExtensionId;
    }

    public void setUserExtensionId(Long userExtensionId) {
        this.userExtensionId = userExtensionId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getLevelType() {
        return levelType;
    }

    public void setLevelType(Integer levelType) {
        this.levelType = levelType;
    }

    public Integer getGrowth() {
        return growth;
    }

    public void setGrowth(Integer growth) {
        this.growth = growth;
    }

    public Long getScore() {
        return score;
    }

    public void setScore(Long score) {
        this.score = score;
    }

    public Long getBalance() {
        return balance;
    }

    public void setBalance(Long balance) {
        this.balance = balance;
    }

    public Long getActualBalance() {
        return actualBalance;
    }

    public void setActualBalance(Long actualBalance) {
        this.actualBalance = actualBalance;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Integer getAllinpayCreate() {
        return allinpayCreate;
    }

    public void setAllinpayCreate(Integer allinpayCreate) {
        this.allinpayCreate = allinpayCreate;
    }

    public Long getAllinpayBalance() {
        return allinpayBalance;
    }

    public void setAllinpayBalance(Long allinpayBalance) {
        this.allinpayBalance = allinpayBalance;
    }

    public Long getAllinpayActualBalance() {
        return allinpayActualBalance;
    }

    public void setAllinpayActualBalance(Long allinpayActualBalance) {
        this.allinpayActualBalance = allinpayActualBalance;
    }

    public Integer getAllinpayRealNameSet() {
        return allinpayRealNameSet;
    }

    public void setAllinpayRealNameSet(Integer allinpayRealNameSet) {
        this.allinpayRealNameSet = allinpayRealNameSet;
    }

    public Integer getAllinpayPhoneBind() {
        return allinpayPhoneBind;
    }

    public void setAllinpayPhoneBind(Integer allinpayPhoneBind) {
        this.allinpayPhoneBind = allinpayPhoneBind;
    }

    public Integer getAllinpayPayPwdSet() {
        return allinpayPayPwdSet;
    }

    public void setAllinpayPayPwdSet(Integer allinpayPayPwdSet) {
        this.allinpayPayPwdSet = allinpayPayPwdSet;
    }

    public Integer getAllinpayProtocolSign() {
        return allinpayProtocolSign;
    }

    public void setAllinpayProtocolSign(Integer allinpayProtocolSign) {
        this.allinpayProtocolSign = allinpayProtocolSign;
    }

    public Integer getAllinpayPayAcctBind() {
        return allinpayPayAcctBind;
    }

    public void setAllinpayPayAcctBind(Integer allinpayPayAcctBind) {
        this.allinpayPayAcctBind = allinpayPayAcctBind;
    }

    @Override
    public String toString() {
        return "UserExtensionVO{" +
                "userExtensionId=" + userExtensionId +
                ", userId=" + userId +
                ", level=" + level +
                ", levelType=" + levelType +
                ", growth=" + growth +
                ", score=" + score +
                ", balance=" + balance +
                ", actualBalance=" + actualBalance +
                ", allinpayBalance=" + allinpayBalance +
                ", allinpayActualBalance=" + allinpayActualBalance +
                ", allinpayRealNameSet=" + allinpayRealNameSet +
                ", allinpayPhoneBind=" + allinpayPhoneBind +
                ", allinpayPayPwdSet=" + allinpayPayPwdSet +
                ", allinpayProtocolSign=" + allinpayProtocolSign +
                ", allinpayPayAcctBind=" + allinpayPayAcctBind +
                ", version=" + version +
                ", signDay=" + signDay +
                '}';
    }
}
